Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | List of all members
Mercury.Exceptions.InterpretingException Class Reference

An exception thrown because of problems in the Interpreting namespace. More...

Inheritance diagram for Mercury.Exceptions.InterpretingException:

## Public Member Functions
| InterpretingException ()
| Initializes a new instance of the InterpretingException class. More...
| InterpretingException (string message)
| Initializes a new instance of the InterpretingException class with a specified message. More...
| InterpretingException (string message, Exception inner)
| Initializes a new instance of the InterpretingException class wit a specified message and an exception that caused this problem. More...
Public Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException ()
| Initializes a new instance of the MercuryException class. More...
| MercuryException (string message)
| Initializes a new instance of the MercuryException class with a specified error message. More...
| MercuryException (string message, Exception inner)
| Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem. More...

## Protected Member Functions
| InterpretingException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the InterpretingException class with serialization data. More...
Protected Member Functions inherited from Mercury.Exceptions.MercuryException
| MercuryException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the MercuryException class with serialized data. More...

## Detailed Description

An exception thrown because of problems in the Interpreting namespace.

Definition at line 11 of file InterpretingExceptions.cs.

## Constructor & Destructor Documentation

Mercury.Exceptions.InterpretingException.InterpretingException | ( |  | ) |

Initializes a new instance of the InterpretingException class.

Definition at line 17 of file InterpretingExceptions.cs.

Mercury.Exceptions.InterpretingException.InterpretingException | ( | string | message | ) |

Initializes a new instance of the InterpretingException class with a specified message.

Parameters

  message | The message that describes the error.

Definition at line 25 of file InterpretingExceptions.cs.

Mercury.Exceptions.InterpretingException.InterpretingException | ( | string | message,
|  | Exception | inner
| ) |  |

Initializes a new instance of the InterpretingException class wit a specified message and an exception that caused this problem.

Parameters

  message | The message that describes the error.
  inner | The exception that caused the problem.

Definition at line 35 of file InterpretingExceptions.cs.

Mercury.Exceptions.InterpretingException.InterpretingException | ( | SerializationInfo | info,
|  | StreamingContext | context
| ) |  |
| protected

Initializes a new instance of the InterpretingException class with serialization data.

Parameters

  info | The T:System.Runtime.Serialization.SerializationInfo that holds the serialized object data about the exception being thrown.
  context | The T:System.Runtime.Serialization.StreamingContext that contains contextual information about the source or destination.

Definition at line 51 of file InterpretingExceptions.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Exceptions/InterpretingExceptions.cs